﻿public class Weapon {
	public enum weaponType {
		Melee,
		Ranged
	}

	public weaponType type;
	public float damage;
	public float range;
	public int magazineSize = 0;

	public Weapon(float damage, float range) {
		type = weaponType.Melee;
		this.damage = damage;
		this.range = range;
	}

	public Weapon(float damage, int magazineSize) {
		type = weaponType.Ranged;
		this.damage = damage;
		this.magazineSize = magazineSize;
	}
}
